!=========================================================================
! Copyright (C) VMware, Inc. 1986-2011.  All Rights Reserved.
!
! $Id: gsstackbuff.gs,v 1.7 2008-01-09 19:02:34 stever Exp $
!
! Superclass Hierarchy:
!   GsStackBuffer, Array, Object.
!
!=========================================================================

removeallmethods GsStackBuffer
removeallclassmethods GsStackBuffer

category: 'For Documentation Installation only'
classmethod: GsStackBuffer
installDocumentation

| doc |
doc := GsClassDocumentation _newForPrivateGsClass: self.

doc documentClassWith: (GsDocText new).

self description: doc.
%

category: 'Accessing'
method: GsStackBuffer
next

"Return the value of the instance variable next."

^ next
%

category: 'Copying'
method: GsStackBuffer
copy

"Disallowed."

self shouldNotImplement: #copy
%

category: 'Instance Creation'
classmethod: GsStackBuffer
new

"Disallowed."

self shouldNotImplement: #new
%

category: 'Instance Creation'
classmethod: GsStackBuffer
new: aSize

"Disallowed."

self shouldNotImplement: #new:
%

